Step 5: Complete the upload session

Notify Orange Logic that all of an asset’s chunks have been successfully uploaded

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Complete the asset upload process by notifying Orange Logic that all of an asset’s chunks are uploaded. Then, Orange Logic assembles the chunks into the full asset and returns a status, version, and duplication information. Run this call for each asset you upload.

This page shows the POST method, but you can also use GET.

Response

This call returns three pieces of information:

  1. duplicateRecordID: If Orange Logic detects that the newly-created asset is a duplicate of an asset that already exists in Orange Logic, it returns the Record ID of the existing asset.

  2. assetVersion: The version of the asset in Orange Logic. Newly created assets that are not duplicates of existing assets are listed as version zero. If an asset is a duplicate, however, the asset is not uploaded to Orange Logic. Instead, the returned version number corresponds to the existing version in Orange Logic.

  3. uploadStatus: The upload status of the asset:

    StatusMeaning
    IncompleteEither not all of the asset’s file chunks were uploaded successfully, or the server cannot confirm its completion.
    SuccessAll of the asset’s file chunks were uploaded and the upload completed successfully.
    AlreadyExistsThe upload was already complete and the asset is being, or has already been, processed. This can happen when a user marks the same asset complete twice.

ℹ️

Note

  • This API can return the version, duplicate, and status information beginning in the Orange Logic Juneau release .
  • Version and duplicate information are only returned if duplicate detection via checksum is activated. Duplicate detection via checksum is deactivated by default. Submit a support request to activate it.
Body Params
string
required

uploadItemId or UIRecordID of the upload item created in the Register upload assets section.

date
required

The current date in the format mm/dd/yyThh:mm:ss.

date

The date the asset was created locally in the format mm/dd/yyThh:mm:ss.

date

The date the asset was last modified locally in the format mm/dd/yyThh:mm:ss.

S3PartList
array of strings

ETags received from S3 multipart upload requests. For more information about ETags, refer to the AWS S3 documentation.

S3PartList
Response

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Choose an example:
application/json